﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

body {
    font-family: 'Montserrat', sans-serif !important;
}

main {
    padding-bottom: 100px;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

.footer {
    position: absolute;
    width: 100%;
    white-space: nowrap;
    line-height: 60px;
    background-color: #5c2d91;
    color: #fff;
    margin-top: 100px;
    padding-bottom: 20px;
    padding-top: 20px;
    bottom: 0;
    left: 0;
    right: 0;
}

.logo {
    width: 100%;
}

.main-header {
    text-align: left;
    font-size: 3vw;
    color: #404040;
}

.sub-header {
    text-align: left;
    font-size: 2vw;
    color: #A22772;
}

.tab {
    display: none;
}

.tab-label {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    margin-right: 10px;
    font-size: 25px;
    color: #000;
    cursor: pointer;
    border-radius: 5px 5px 0 0;
}

    .tab-label:hover {
        background-color: #d0d0d0;
    }

.tab-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 0 5px 5px 5px;
    display: block;
}

.tabs-container {
    text-align: left;
}

.tab:checked + .tab-label {
    color: #A22772;
}

#overview-tab:checked ~ .tab-content > #overview-content {
    display: block;
}

#catalogue-tab:checked ~ .tab-content > #catalogue-content {
    display: block;
}

.custom-container {
    padding-left: 10%;
    padding-right: 10%;
    margin-top: 20px
}

.last-main-div {
    margin-top: 100px;
    margin-bottom: 50px;
}

.last-main-div-text {
    padding-left: 2%;
    padding-right: 5%
}

.black-head-logo {
    width: 100%;
}

.about-us-section {
    background-color: #8D2691;
    max-height: 270px;
    margin-top: 100px;
    border-top-right-radius: 100px;
    border-bottom-right-radius: 100px;
    color: white;
    padding-bottom: 30px;
    padding-top: 30px;
    padding-left: 150px;
    padding-right: 100px;
}

    .about-us-section p {
        font-size: 30px
    }

.about-us-section-logo {
    margin-top: 50px;
}

    .about-us-section-logo img {
        transform: rotate(-20deg);
        padding-left: 50px;
        margin-top: 80px;
        width: 80%;
    }

.about-us-section-row {
    margin-right: 0 !important;
    margin-top: 50px;
    padding-left: 150px;
    padding-right: 200px;
}

.about-us-section-people {
    margin-right: 0 !important;
    background-color: #8D2691;
    color: white;
    margin-top: 30px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 150px;
    padding-right: 200px;
}

.about-us-section-journey {
    margin-right: 0 !important;
    background-color: #8D2691;
    color: white;
    margin-top: 30px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 150px;
    padding-right: 200px;
}

.about-us-section-services {
    margin-right: 0 !important;
    margin-top: 30px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 150px;
    padding-right: 200px;
}

.about-us-section-commitment {
    margin-right: 0 !important;
    margin-top: 30px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 150px;
    padding-right: 200px;
}

.nav-item-padding-right {
    padding-right: 20px;
}

    .nav-item-padding-right img {
        margin-top: 0px;
    }

.avatar-image {
    width: 40px;
    margin-top: -10px !important;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
}

#avatar {
    cursor: pointer;
}

@media only screen and (max-width: 700px) {
    main {
        padding-bottom: 0;
    }

    .custom-container {
        padding-left: 0;
        padding-right: 0;
        margin-top: 20px
    }

    .avatar-image {
        width: 40px;
        margin-top: 0 !important;
        height: 40px;
        border-radius: 50%;
    }

    .nav-item-padding-right {
        padding-right: 0;
    }

        .nav-item-padding-right img {
            margin-top: 10px;
        }

    .last-main-div {
        margin-top: 20px;
        padding-left: 5%;
        padding-right: 5%;
        text-align: center;
        margin-right: 0 !important;
    }

    .last-main-div-text {
        padding-left: 0;
        padding-right: 0
    }

    .black-head-logo {
        width: 50%;
        padding-bottom: 20px;
    }

    .logo {
        width: 100%;
        padding-left: 10%;
        padding-right: 10%;
    }

    .main-header {
        text-align: left;
        font-size: 3.2vw;
        color: #404040;
    }

    .sub-header {
        text-align: left;
        font-size: 2.1vw;
        color: #A22772;
    }

    .tabs-container {
        text-align: center;
    }

    .tab {
        display: none;
    }

    .tab-label {
        position: relative;
        display: inline-block;
        padding: 5px 5px;
        font-size: 20px;
        text-align: justify;
        color: #000;
        cursor: pointer;
        border-radius: 5px 5px 0 0;
    }

        .tab-label:hover {
            background-color: #d0d0d0;
        }

    .tab-content {
        background-color: #fff;
        padding: 20px;
        border-radius: 0 5px 5px 5px;
        display: block;
    }

    .tab:checked + .tab-label {
        color: #A22772;
    }

    #overview-tab:checked ~ .tab-content > #overview-content {
        display: block;
    }

    #catalogue-tab:checked ~ .tab-content > #catalogue-content {
        display: block;
    }

    .footer {
        position: static;
        width: 100%;
        margin-top: 0;
        white-space: nowrap;
        line-height: 60px;
        background-color: #5c2d91;
        color: #fff;
        padding-bottom: 20px;
        padding-top: 20px;
        left: 0;
        right: 0;
    }

    .about-us-section {
        background-color: #8D2691;
        max-height: 270px;
        margin-top: 20px;
        border-top-right-radius: 100px;
        border-bottom-right-radius: 100px;
        color: white;
        padding-bottom: 0px;
        padding-top: 30px;
        padding-left: 30px;
        padding-right: 20px;
    }

        .about-us-section p {
            font-size: 15px
        }

    .about-us-section-logo {
        margin-top: 0px;
    }

        .about-us-section-logo img {
            transform: rotate(-20deg);
            padding-left: 50px;
            margin-top: 40px;
            width: 80%;
        }

    .about-us-section-row {
        margin-right: 0 !important;
        margin-top: 20px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .about-us-section-people {
        margin-right: 0 !important;
        background-color: #8D2691;
        color: white;
        text-align: center;
        margin-top: 30px;
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 10px;
        padding-right: 10px;
    }

        .about-us-section-people h4 {
            margin-top: 20px;
            text-align: left;
        }

    .about-us-section-services {
        margin-right: 0 !important;
        margin-top: 30px;
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .about-us-section-journey {
        margin-right: 0 !important;
        background-color: #8D2691;
        color: white;
        margin-top: 30px;
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .about-us-section-commitment {
        margin-right: 0 !important;
        margin-top: 30px;
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }
}

.courseCard {
    cursor: pointer;
}


.centered {
    position: absolute;
    top: 15%;
    left: 10%;
    width: 35%;
    color: #000;
}

.img-container {
    position: relative;
    text-align: center;
    color: white;
    max-height: 40vw;
    height: 40vw;
    background-size: cover;
    background-position: center;
    background-image: url('/img/books_cover.png')
}

.dashboard-section {
    margin-top: 5em;
}

tr.expired-row {
    opacity: 0.8;
    color: #6c757d;
    font-style: italic;
}

#employeeAssignedTraining option {
    padding: 10px 12px;
    position: relative;
}

#employeeAssignedTraining option::before {
    content: '';
    display: inline-block;
    width: 1rem;
    height: 1rem;
    margin-right: 8px;
    border: 2px solid #6c757d;
    border-radius: 3px;
    vertical-align: middle;
    background-color: white;
    box-sizing: border-box;
}

#employeeAssignedTraining option:checked::before {
    content: '✔';
    color: white;
    background-color: #28a745;
    border-color: #28a745;
    text-align: center;
    font-size: 0.75rem;
    line-height: 1rem;
}

.container {
    max-width: 1400px !important;
}

/* datatables */
.table thead th {
    border: 0;
    /*line-height: 3;*/
}

table.dataTable {
    table-layout: fixed;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-end;
    padding-top: 0.85em;
}

.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #212529;
    border-color: #212529;
}

.page-link:hover {
    z-index: 2;
    color: #212529;
    text-decoration: none;
    background-color: #e9ecef;
    border-color: #dee2e6;
}

.page-link {
    position: relative;
    display: block;
    padding: .5rem;
    margin-left: -1px;
    line-height: 1;
    color: #212529;
    background-color: #fff;
    border: 1px solid #dee2e6;
}

table.dataTable tr td,
table.dataTable tr th {
    padding-left: 1em;
    padding-right: 1em;
}

table.dataTable.table-hover tbody tr:hover td {
    background-color: rgba(0, 0, 0, 0.06) !important;
}

table.dataTable.table-hover tbody tr td .btn:hover {
    color: #f8f9fa;
}

table.dataTable tbody tr.selected td {
    font-weight: 600;
}

table.dataTable input[type=checkbox] {
    width: 1rem;
    height: 1rem;
    cursor: pointer;
}


.dt-button-down-arrow {
    display: none !important;
}

.status-badge {
    flex: 1;
    min-width: 0;
    text-align: left;
    font-weight: bold;
    font-size: 0.875rem;
    padding: 0 0.25rem;
}

.expanded-row td {
    background-color: #f9f2dc !important; /* svetlo žuta kao primer */
}

.info-grid {
    display: grid;
    grid-template-columns: 150px 1fr; /* fiksna širina za labelu, fleksibilna za vrednost */
    row-gap: 0.5rem;
    column-gap: 1rem;
}

.dataTable thead input[type="text"] {
    font-weight: 600; /* izraženo */
    color: #212529; /* tamniji tekst */
}

.dataTable thead input::placeholder,
.dataTable thead span.clear-input-control {
    font-weight: 400;
    color: #adb5bd; /* svetliji, sivi ton */
}

/* bootstrap-select */
.bootstrap-select .dropdown-menu {
    background-color: #f8f9fa; /* Bootstrap bg-light */
    color: #212529; /* Bootstrap text-default */
}

.bootstrap-select .dropdown-menu li a {
    padding-top: 10px;
    padding-bottom: 10px;
}

.bootstrap-select .dropdown-menu li a:hover,
.bootstrap-select .dropdown-menu li.active > a {
    background-color: #e2e6ea; /* Hover boja */
    color: #212529;
}

.bootstrap-select.show-tick .dropdown-menu .selected span.check-mark {
    top: 10px !important;
}

.bootstrap-select .dropdown-menu li.selected a {
    font-weight: bold;
}


.fixed-height-img {
    min-height: 200px;
    height: 200px;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.back-button {
    font-size: 16px;
    color: #333;
    text-decoration: none;
    padding: 8px 12px;
    display: inline-block;
}

.back-button:hover {
    text-decoration: underline;
}

.div-shadow {
    box-shadow: 0 8px 9pt rgba(9, 30, 66, 0.15), 0 0 1px rgba(9, 30, 66, 0.31);
}

.toast:not(.show) {
    display: none !important;
    z-index: 0 !important;
}
